TreeDataModelEventNavigator (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.TreeDataModelEventNavigator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TreeDataModelEventNavigator

    java.lang.Object
      org.richfaces.renderkit.TreeDataModelEventNavigator

All Implemented Interfaces:
  org.richfaces.model.LastElementAware

    public abstract class TreeDataModelEventNavigator

extends java.lang.Object
implements org.richfaces.model.LastElementAware

Author:
  Nick Belaevski - nbelaevski@exadel.com created 17.11.2006

Field Summary
`protected boolean` | `actualLast`
`protected boolean` | `lastElement`
`protected java.lang.Boolean` | `stackedLast`

Constructor Summary
`TreeDataModelEventNavigator(UITree tree, org.richfaces.model.TreeRowKey floatingKey)`

Method Summary
`abstract void` | `afterDown()`
`abstract void` | `afterUp(int levels)`
`abstract void` | `beforeDown()`
`abstract void` | `beforeUp(int levels)`
`void` | `followRowKey(javax.faces.context.FacesContext context, org.richfaces.model.TreeRowKey newRowKey)`
`protected org.richfaces.model.TreeRowKey` | `getFloatingKey()`
`protected org.richfaces.model.TreeRowKey` | `getRowKey()`
`protected boolean` | `isStackedLastElement()`
`void` | `resetLastElement()`
`void` | `setLastElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastElement

    protected boolean lastElement

### actualLast

    protected boolean actualLast

### stackedLast

    protected java.lang.Boolean stackedLast

Constructor Detail

### TreeDataModelEventNavigator

    public TreeDataModelEventNavigator(UITree tree,
                                       org.richfaces.model.TreeRowKey floatingKey)

Method Detail

### followRowKey

    public void followRowKey(javax.faces.context.FacesContext context,
                             org.richfaces.model.TreeRowKey newRowKey)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### beforeUp

    public abstract void beforeUp(int levels)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### beforeDown

    public abstract void beforeDown()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### afterUp

    public abstract void afterUp(int levels)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### afterDown

    public abstract void afterDown()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### setLastElement

    public void setLastElement()

  Specified by:
    `setLastElement` in interface `org.richfaces.model.LastElementAware`

### resetLastElement

    public void resetLastElement()

  Specified by:
    `resetLastElement` in interface `org.richfaces.model.LastElementAware`

### getRowKey

    protected org.richfaces.model.TreeRowKey getRowKey()

### getFloatingKey

    protected org.richfaces.model.TreeRowKey getFloatingKey()

### isStackedLastElement

    protected boolean isStackedLastElement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.